Summary: ldd - The utility to print shared library dependencies.
Name: ldd-%{_targetarch}
Version: 0.1
Release: 1
License: GPL
Group: Development/Tools
Source0: ldd-0.1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
ldd - print shared library dependencies

%prep
%setup -q -n ldd-%{version}

%build
%if "%{_targetarch}" == "ppc"
CFLAGS="-O2 -DENDIAN_DIFFERS -g" make -e
%else
CFLAGS="-O2 -g" make -e
%endif

%install
rm -rf -- "$RPM_BUILD_ROOT"
mkdir -p -- "$RPM_BUILD_ROOT/usr/bin"
mkdir -p -- "$RPM_BUILD_ROOT/usr/%{_targetarch}-linux/bin"
make INSTALL_PREFIX="$RPM_BUILD_ROOT/usr" target=%{_targetarch} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/%{_targetarch}-linux/bin/*

